hilfdirselbst.ch
Facebook Twitter gamper-media
Mac OS X enthält verschiedene integrierte Werkzeuge und Technologien, mit denen sich gängige Aufgaben schnell und einfach automatisieren lassen.
Goar S
Beiträge: 317
13. Mai 2003, 11:46
Beitrag #1 von 8
Bewertung:
(1995 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


in einem der Beiträge wurde auf "kritische" Versionen von AppleScript hingewiesen. Gibt es irgendwo eine Übersicht, welche Version(en) mit welcher Version MacOS gut harmoniert? Und welche vorzugsweise vermieden werden sollte?

Ich selbst habe auf meinem Heim-Rechner
OS D1-8.6
AppleScript D1-1.3.7
Scripteditor D1-1.1.3
im Büro
OS D1-9.2.2
AppleScript D1-1.7
Scripteditor D1-1.7

Gibts die "richtigen" Versionen irgendwo zum Runterladen?
Gruß Top
 
X
Anonym
Beiträge: 22827
13. Mai 2003, 13:53
Beitrag #2 von 8
Beitrag ID: #418119
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hi Goar!

heißt Du wirklich so?
Zitat von Goar Ich selbst habe auf meinem Heim-Rechner
OS D1-8.6
AppleScript D1-1.3.7
Scripteditor D1-1.1.3

Die kannst Du updaten auf Version 1.6 - das funktioniert meines Wissens einwandfrei!

Zitat von Goar im Büro
OS D1-9.2.2
AppleScript D1-1.7
Scripteditor D1-1.7

Die Versionen sofort runterschmeißen und Version 1.6 installieren. Die 1.7 ist die schlechteste AppleScript Version, die es gibt.

Zitat von Goar Gibts die "richtigen" Versionen irgendwo zum Runterladen?
Gruß

Aber sicher! Bei Apple direkt unter http://www.info.apple.com/support/downloads.html

happy filemaking

Armin
als Antwort auf: [#418118] Top
 
Goar S
Beiträge: 317
13. Mai 2003, 20:08
Beitrag #3 von 8
Beitrag ID: #418120
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hallo Armin,

ja, ich heiße wirklich Goar. Kannst Du suchen lassen und wirst u.a. St. Goar am Rhein finden (in der Nähe der Loreley). Ich bin aber nicht der einzige, also nicht DS-ID-tauglich.

Version 1.6 habe ich mir runtergeladen und mit einigen Musterskripts getestet. Noch keine Probleme aufgetaucht.

Es verlangt allerdings OS 9.1;
die nächst niedrigere downloadbare Version war 1.4.3, die allerdings OS 9 verlangt. Also bleibe ich mit meinem OS D1-8.6 bei AppleScript 1.3.7.

Vielen Dank für Deine Hinweise
Goar
als Antwort auf: [#418118] Top
 
Anonym
Beiträge: 22827
28. Jul 2003, 14:12
Beitrag #4 von 8
Beitrag ID: #418121
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hallo, Armin!

Was ist so schlecht an AppleScript 1.7 für OS 9.2.2? Wo liegen die Probleme? Ich bin blutiger Anfänger, was das Scripten angeht, hoffe aber die ein oder andere Erleichterung bei der täglichen Arbeit mit InDesign 2.0.2 zu erzielen.

Beim Update von OS 9.1 auf 9.2.2 wurde automatisch die AppleScript Version 1.7 installiert.

Gruß,

Uwe Laubender
als Antwort auf: [#418118] Top
 
Anonym
Beiträge: 22827
28. Jul 2003, 19:14
Beitrag #5 von 8
Beitrag ID: #418122
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hallo Uwe,

an AppleScript ist sehr viel schlecht - Ich kann Dir nichts genaues aufzählen aber es funktioniert einfach einiges nicht. Die Scriptversion läuft auf den "nicht englischen" Systemen so schlecht, das selbst von Apple Mitarbeitern im Apple-AppleScript Discussion Forum davon abgerate und auf Version 1.6 verwiesen wird. Ich hab mal kurz mit 1.7 gescriptet und hatte unerklärliche Fehler - Scripts, die in 1.6 einwandfrei laufen, wollen in 1.7 nicht richtig. Die Fehler will und kann ich aber nicht umschiffen, daher Downgrade auf 1.6.
Du kannst es ja mit 1.7 versuchen, wenn Du aber dann einen Beitrag in ein AS-Forum schreibst und angibst, das Du mit 1.7 scriptest, ist der erste Tipp, auf 1.6 downzugraden.

happy filemaking

Armin
als Antwort auf: [#418118] Top
 
Anonym
Beiträge: 22827
28. Jul 2003, 19:34
Beitrag #6 von 8
Beitrag ID: #418123
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hallo, Armin!
Danke für Deine Antwort. Ursprünglich hatte ich eine noch ältere Version von AppleScript auf meinem Mac. Dann erfuhr ich von Version 1.6, konnte diese aber nirgends auf der Apple-Download-Site entdecken. Entschloß mich dann zum Systemupdate von 9.1 auf 9.2.2 mit dem Ergebnis, daß automatisch 1.7 installiert wurde.

Hast Du eine genaue URL für das Downgrade auf Version 1.6?

Herzlichen Dank im Voraus,

Uwe Laubender
als Antwort auf: [#418118] Top
 
Anonym
Beiträge: 22827
28. Jul 2003, 19:38
Beitrag #7 von 8
Beitrag ID: #418124
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hi Uwe,

die URL lautet

http://docs.info.apple.com/article.html?artnum=120001

einfach unter Support den Suchbegriff eingeben dann findest Du die Software.

happy filemaking

Armin
als Antwort auf: [#418118] Top
 
Anonym
Beiträge: 22827
28. Jul 2003, 19:52
Beitrag #8 von 8
Beitrag ID: #418125
Bewertung:
(1994 mal gelesen)
URL zum Beitrag
Beitrag als Lesezeichen

"geeignete" AppleScript-Versionen


Hallo, Armin!

Super! Das Suchergebnis, das ich erhielt, als ich im Suchfenster nach AppleScript 1.6 fahndete, hatte leider nichts mit dem Ergebnis zu tun, was Du mir jetzt als URL gesendet hast.

Ich erhielt beim ersten Versuch 7 Treffer, die allerdings NICHTS mit AppleScript zu tun hatten, sondern mit Systemupdates und alten Systemen wie OS 8.5.1 (Laufwerke konfigurieren Version 1.6.2) etc.

Du hast mir sehr geholfen, Danke!

Uwe Laubender
als Antwort auf: [#418118] Top
 
X